Skip to main content
GET
Get batch status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

apiKey
string | null

Path Parameters

batch_id
string
required

Query Parameters

enrichments
string | null

Comma-separated list of enrichment names to get status for

Response

200 - application/json

Successful Response

Represents the response when submitting a new batch of places for enrichment

id
string
required

Unique identifier for tracking the batch

Example:

"batch_2024_03_15_123456"

batch_name
string
required

User-provided name to identify the batch

Example:

"NYC Restaurants March 2024"

jobs
object
required
status
enum<string>
default:pending

Current processing status of the batch. Initially PENDING, changes to IN_PROGRESS when processing starts

Available options:
pending,
queued,
in_progress,
completed,
failed
Example:

"pending"

metadata
null

Batch statistics and metadata. Basic stats available to all organizations, detailed stats only for Reprompt.

attribute_statuses
Attribute Statuses · object | null

Status distribution per attribute (only populated when enrichments query param is provided)